
      subroutine plotfileopen
c***********************************************************************
c     this routine opens up a postscript file for plots
**********************************************************************

      implicit real*8 (a-h,o-z)
      include 'asciichars.com'
      include 'plotquants.com'
      include 'plotchars.com'


c*****create and open the file
      call meld (starname, suffix, plotfile, nplotfile)


c*****create the ascii string with the number of characters 
c*****in the file name
      if (orientation .eq. 'landscape') then
         if (nplotfile .lt. 10) then
            write (templine,1003) nplotfile
         else
            write (templine,1004) nplotfile
         endif
      else
         if (nplotfile .lt. 10) then
            write (templine,1001) nplotfile
         else
            write (templine,1002) nplotfile
         endif
      endif


c*****give the sm command to open the file for plotting
      write (line,templine) plotfile(1:nplotfile)
      if (sm_device(line(1:13+nplotfile)) .lt. 0) then
         write (*,1005) plotfile(1:nplotfile+13)
         stop
      endif
      return


c*****format statements
1001  format ('(13hpostportfile ,a',i1,'$)')
1002  format ('(13hpostportfile ,a',i2,'$)')
1003  format ('(13hpostlandfile ,a',i1,'$)')
1004  format ('(13hpostlandfile ,a',i2,'$)')
1005  format ('FILE OPENING ERROR:',a60)
 

      end

