
c***********************************************************************
      subroutine startplot
c***********************************************************************
c     this routine does the sm calls to open a plot, draw and label box

      implicit real*8 (a-h,o-z)
      include 'plotquants.com'
      include 'plotchars.com'

      real*4 expandstart


c*****define what window area will be used
      expandstart = 1.0
      call sm_expand (expandstart)
      call sm_window (numxwin, numywin, 
     .                nxwin1, nywin1, nxwin2, nywin2)


c*****draw box and label it
      call sm_limits (xmin, xmax, ymin, ymax)
      if (largextick .lt. -999.) 
     .         call findtick (xmin, xmax, largextick, smallxtick)
      if (largeytick .lt. -999.)
     .         call findtick (ymin, ymax, largeytick, smallytick)
      call sm_ticksize (smallxtick, largextick, smallytick, largeytick)
      call sm_expand (expandval)
      call sm_lweight (weightval)
      call sm_ctype (color)
      call sm_box (lablow, lableft, labhigh, labright) 


c*****write overall plot labels
      if (xlab(1:7) .ne. 'nolabel') call sm_xlabel (xlab(1:numxlab))
      if (ylab(1:7) .ne. 'nolabel') call sm_ylabel (ylab(1:numylab))


c*****exit normally
      return


c*****format statements
1001  format (f4.2)


      end



